Subject: Re: bug#11939: 24.1; `save-buffers-kill-emacs' loses minibuffer focuswhenitcalls `list-processes'

From: martin rudalics <[email-masked]>
Date: Tue, 07 Aug 2012 10:58:18 +0200

>>  >> Tell me the value of the *Help*
 >>  >> window's `quit-restore' parameter.
        ^^^^^^

 >>  >
 >>  > Before loading your code there is no such parameter present.
 >>  > Likewise after loading it: no such parameter.
 >>
 >> Whenever I call `display-buffer', the window used has the
                                          ^^^^^^

 >> `quit-restore' parameter set.  If it doesn't on your system,
 >> I don't know.
 >
 > I don't know either.  I've never seen that frame parameter.
 >
 > This has nothing specially to do with the *Help* frame.  When I do
 > (frame-parameters) in ANY frame I do not see a parameter named `quit-restore'.
 >
 > Am I missing something?  Is this parameter not returned via `frame-parameters'
 > or something?

It's returned via `window-parameters'.

 >
 >>  >>  > IOW, the *Help* frame is apparently no longer
 >>  >>  > special-display as it should be.
 >>  >>
 >>  >> It still is and should call `frame-auto-hide-function'.
 >>  >
 >>  > No idea what that means.
 >>
 >> `frame-auto-hide-function' is the function called to
 >> automatically hide frames.
 >
 > What I don't understand is your statement "It still is".  From appearances it is
 > not special-display, in the sense that its frame does not seem to be dedicated.

The notion "dedicated frame" is an aberration of the Elisp manual.
Emacs code nowhere supports such a notion.  What "appearances" have to
do with dedicatedness is beyond my imagination.

martin